Package org.eclipse.microprofile.rest.client.tck.spi

# Class SimpleRestClientListenerImpl

java.lang.Object
org.eclipse.microprofile.rest.client.tck.spi.SimpleRestClientListenerImpl

All Implemented Interfaces:
  `RestClientListener`

public class SimpleRestClientListenerImpl extends Object implements RestClientListener

## Constructor Summary

Constructors
Constructor
Description
`SimpleRestClientListenerImpl()`

## Method Summary

Modifier and Type
Method
Description
`static Class<?>`
`getServiceInterface()`
`void`
`onNewClient(Class<?> serviceInterface, RestClientBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleRestClientListenerImpl

public SimpleRestClientListenerImpl()

## Method Details

### getServiceInterface

public static Class<?> getServiceInterface()

### onNewClient

public void onNewClient(Class<?> serviceInterface, RestClientBuilder builder)

Specified by:
  `onNewClient` in interface `RestClientListener`